import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.ObjectStreamField;
import java.io.Serializable;


public class A implements Serializable {
	
	private transient int x = 8;
	public int y = 4;
	
	public A () { x = 0; y = 4; }
	
	private static final ObjectStreamField[] serialPersistentFields = { new ObjectStreamField("x", Integer.TYPE) };
	
	private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException {
		in.defaultReadObject();
		x = y + 4;
	}	
	
	public String toString() {
		return ("x = "+x+"\t y = "+y);
	}

	public static void main(String[] args) throws IOException, ClassNotFoundException {
		A a = new A();
		
		FileOutputStream f_out = new FileOutputStream("export");
		ObjectOutputStream out = new ObjectOutputStream(f_out);
		out.writeObject(a);
		out.close();
		
		FileInputStream f_in = new FileInputStream("export");
		ObjectInputStream in = new ObjectInputStream(f_in);
		A w = (A) in.readObject();
		
		System.out.println(w);
	}
}
